package com.tzld.piaoquan.growth.common.dao.mapper;

import com.tzld.piaoquan.growth.common.model.po.GhDetail;
import com.tzld.piaoquan.growth.common.model.po.GhDetailExample;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Mapper
@Repository
public interface GhDetailMapper {
    long countByExample(GhDetailExample example);

    int deleteByExample(GhDetailExample example);

    int deleteByPrimaryKey(Long id);

    int insert(GhDetail record);

    int insertSelective(GhDetail record);

    List<GhDetail> selectByExample(GhDetailExample example);

    GhDetail selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") GhDetail record, @Param("example") GhDetailExample example);

    int updateByExample(@Param("record") GhDetail record, @Param("example") GhDetailExample example);

    int updateByPrimaryKeySelective(GhDetail record);

    int updateByPrimaryKey(GhDetail record);
}